<?php


namespace App\Consts;


class BaseConst
{
    /**
     * 一天86400秒
     */
    const ONE_DAY_SECONDS = 86400;

    /**
     * 一周 86400 * 7 秒
     */
    const ONE_WEEK_SECONDS = 604800;

    /**
     * 一个月 86400 * 31 秒
     */
    const ONE_MONTH_SECONDS = 2678400;

    /**
     * 一天24*60分钟
     */
    const ONE_DAY_MINITUES = 1440;

    /**
     * 一分钟60秒
     */
    const ONE_MINUTE_SECONDS = 60;

    /**
     * 一小时3600秒
     */
    const ONE_HOUR = 3600;

    /**
     * 一年365天
     */
    const ONE_YEAR_DAYS = 365;

    /**
     * 默认锁时长
     */
    const LOCK_DEFAULT_SECONDS = 5;
    /**
     * 显示7天以前数据
     */
    const DATE_RANGE_DAYS = 7;
    /**
     * 默认分页数量
     */
    const DEFAULT_LENGTH = 15;

    /**
     * 每日分享量(达到该数值可获得一天会员)
     */
    const DAILY_SHARE_NUM = 5;

    /**
     * 初级vip等级
     */
    const JUNIOR_VIP_LEVEL = 1;

    /**
     * 高级vip登记等级
     */
    const SENIOR_VIP_LEVEL = 2;

    const USER_SCOPE = [
        '1' => '补充模板未覆盖人群',
        '2' => '付费用户',
        '3' => '派单用户'
    ];

    const PRODUCT_TYPE = [
        'WEEK'      => '周卡',
        'MONTH'     => '月卡',
        'QUARTER'   => '季卡',
        'YEAR'      => '年卡'
    ];
}
