<?php

namespace App\Libs\TikTok\OpenPlatform\Event;

use App\Libs\TikTok\Kernel\BaseClient;

class Client extends BaseClient
{
    protected $headerAccessToken = true;

    /**
     * @return array
     * @throws \App\Libs\TikTok\Kernel\Exceptions\HttpException
     * @throws \App\Libs\TikTok\Kernel\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     */
    public function eventList(): array
    {
        return $this->httpGet('/event/status/list/');
    }
}